package com.om.entity.dto;

import cn.hutool.json.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class PushInfo {
    @ApiModelProperty("消息类型 1\t客户端升级推送信息(AppInfo)\n" +
            "2\t诊断程序更新推送信息(VehicleInfo)\n" +
            "3\tVCI固件更新推送(VciInfo)\n" +
            "4\t维修资料更新推送信息(MaintenanceManualInfo)\n" +
            "5\t使用手册更新推送信息(MaintenanceManualInfo)\n")
    private Integer pushInfoType;


    @ApiModelProperty("通用json字符串")
    private JSONObject json;
}
