package com.om.controller.admin;

import com.om.service.IAppsDescService;
import com.om.utils.Result;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 应用描述表 前端控制器
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-12
 */
@RestController
@RequestMapping("/apps-desc")
public class AppsDescController {

  private final IAppsDescService appsDescService;
  public AppsDescController(IAppsDescService appsDescService) {
    this.appsDescService = appsDescService;
  }

  @GetMapping("/findDesc")
  public Result<Object> findDesc(String appId, String lang) {
    return appsDescService.findDescByAppIdAndLang(appId, lang);
  }
}
