package com.om.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class DeviceQueryPageDTO {
    @ApiModelProperty(value = "当前页码")
    private Integer pageIndex;

    @ApiModelProperty(value = "每个页码的大小")
    private Integer pageSize;

    @ApiModelProperty(value = "搜索字段---搜索绑定的用户名")
    private String searchUsername;

    @ApiModelProperty(value = "搜索字段---搜索绑定的客户端编号")
    private String searchClientNum;

    @ApiModelProperty(value = "搜索字段---搜索设备sn号")
    private String searchDeviceSn;
}
