package com.om.entity.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

import com.om.entity.po.Menu;

@Data
public class LoginDto implements Serializable {

    private long employeeid;

    @NotBlank(message = "账号不能为空")
    private String username;

    @NotBlank(message = "密码不能为空")
    private String password;

    private String employeename;

    private String token;

    private String role;

    private String lang;

    private List<Menu> menus;
}
