package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author henry-ong
 * @since 2024-02-28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AppManual implements Serializable {


      @ApiModelProperty("标题")
      private String title;

      @ApiModelProperty("语言")
      private String lang;

      @ApiModelProperty("手册文件名")
      @TableField(value="fileName")
      private String fileName;

      @ApiModelProperty("网址")
      private String url;

      @ApiModelProperty("客户端编号")
      @TableField(value="clientCode")
      private String clientCode;

      @ApiModelProperty("创建时间")
      private long createTime;

}
